Subject: Re: devel/ruby-readline vs. devel/readline vs. core readline(3)
To: None <tech-pkg@NetBSD.ORG>
From: Takahiro Kambe <>
List: tech-pkg
Date: 06/19/2002 08:25:11
My personal random comments.

In message <>
	on Tue, 18 Jun 2002 14:42:32 -0400 (EDT), (Greg A. Woods) wrote:
> I'd very much rather that devel/ruby-readline (and thus devel/readline)
> not be a dependency for the lang/ruby meta package.  I'm trying very
> hard to avoid having to have GNU Readline on some production machines
> that really don't need it, and I personally don't need ruby-readline,
> though I do need ruby-base and various other Ruby packages on those
Most of Ruby packages don't depend on ruby meta package but ruby-base
package.  So, why do you need ruby meta package?

> What do more experienced Ruby users say?  Is ruby-readline really
> expected to be a core library now?  (I don't see it mentioned in the
> Thomas & Hunt book.)
Because ruby-readline is includeded in Ruby distribution; currently
ruby-1.6.7.tar.gz.  And Ruby tend to take in more libraries to core

> (what is the likelyhood of ruby-readline ever using NetBSD readline(3)?)
USE_GNU_READLINE=	# uses rl_event_hook interface to GNU readline

Ruby core binary itself contains modified GNU regex covered by LGPL.

Takahiro Kambe <>